Subject: [Errata Held for Document Update] RFC7541 (5094)

From: RFC Errata System <[email-masked]>
Date: Thu, 21 Sep 2017 07:58:44 -0700 (PDT)

The following errata report has been held for document update 
for RFC7541, "HPACK: Header Compression for HTTP/2". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5094

--------------------------------------
Status: Held for Document Update
Type: Editorial

Reported by: Xue Fei <[email-masked]>
Date Reported: 2017-08-24
Held by: Alexey Melnikov (IESG)

Section: 5.1

Original Text
-------------
Integers are used to represent name indexes, header field indexes,
or string lengths.

Corrected Text
--------------
Integers are used to represent name indexes, header field indexes,
string lengths, or dynamic table size.

Notes
-----
Section 5.1 says, Integer encodings that exceed implementation limits — in value or octet length — MUST be treated as decoding errors.

Section 6.3 is using HPACK integer to represent value of dynamic table size. This size can be more larger than index or string length. 

This change make user who implement integer encoding/decoding can figure out a proper integer value limit for each condition.

--------------------------------------
RFC7541 (draft-ietf-httpbis-header-compression-12)
--------------------------------------
Title               : HPACK: Header Compression for HTTP/2
Publication Date    : May 2015
Author(s)           : R. Peon, H. Ruellan
Category            : PROPOSED STANDARD
Source              : Hypertext Transfer Protocol Bis APP
Area                : Applications
Stream              : IETF
Verifying Party     : IESG